        SUBROUTINE  CX_RPL3 ( nmdesc, mxdatv, expdesc, jflg, iret )
C************************************************************************
C* CX_RPL3							        *
C*								        *
C* This subroutine searches through the list of descriptors for any new *
C* delayed replication descriptors which may have resulted because of	*
C* expansion of sequence descriptors.  If any are found, a flag is set	*
C* to continue updating the descriptor list.				*
C*								        *
C* CX_RPL3  ( NMDESC, MXDATV, EXPDESC, JFLG, IRET )			*
C*                                                                      *
C*									*
C* Input parameters:							*
C*	NMDESC		INTEGER		Number of descriptors in expdesc*
C*	MXDATV		INTEGER		Maximum number of data values	*
C*					expected			*
C*	EXPDESC (MXDATV)						*
C*	                CHAR*           The current list of descriptors *
C* Output parameters:						        *
C*	JFLG		INTEGER		Flag to indicate whether there	*
C*					were new delayed replication	*
C*					descriptors in list		*
C*	IRET		INTEGER		Return code                     *
C*					0 = normal return 	        *
C*								        *
C** 								        *
C* Log:								        *
C* R. Hollern/NCEP	8/03						*
C************************************************************************
        INCLUDE         'cxcmn.cmn'
C*
        CHARACTER       idc*6
        CHARACTER       expdesc ( mxdatv )*6
C-----------------------------------------------------------------------
        iret   = 0
        jflg = 0
C
C*      Check if any new delayed replication descriptors.
C
        DO j = 1,nmdesc
           idc = expdesc ( j )
C
           IF ( idc(1:1) .eq. 'R' .AND. idc(4:6) .eq. '000' ) THEN
C
              IF ( expdesc (j+1)(1:3) .ne. 'STR' ) THEN
                 jflg = 1
                 RETURN
              END IF
C
           END IF
C
        END DO
C*
       RETURN
       END
